Package twisted :: Package web :: Package woven :: Module form

[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.form

Classes
`FormDisplayModel` |
`FormErrorModel` |
`FormErrorWidget` |
`FormFillerWidget` |
`FormProcessor` |
`ThankYou` |

Function Summary
| ``getValue`(request, argument)` Return value for form inpurt.
| ``getValues`(request, argument)` Return values for form inpurt.
| ``registerRenderer`(argumentClass, renderer)` Register a renderer for a given argument class.

Variable Summary
`_Feature` | `nested_scopes`

Function Details

### getValue(request, argument)

Return value for form inpurt.

### getValues(request, argument)

Return values for form inpurt.

### registerRenderer(argumentClass, renderer)

Register a renderer for a given argument class.

The renderer function should act in the same way as the 'input_XXX' methods of `FormFillerWidget`.

Variable Details

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

Generated by Epydoc 1.1 on Sat Feb 15 21:18:17 2003 | http://epydoc.sf.net